org.bdgenomics.adam.models

# RecordGroupDictionary

#### case class RecordGroupDictionary(recordGroups: Seq[RecordGroup]) extends Product with Serializable

Builds a dictionary containing record groups. Record groups must have a unique name across all samples in the dictionary. This dictionary provides numerical IDs for each group; these IDs are only consistent when referencing a single dictionary.

recordGroups

  A seq of record groups to popualate the dictionary.

Exceptions thrown
  AssertionError

  Throws an assertion error if there are multiple record groups with the same name.

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. RecordGroupDictionary
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new RecordGroupDictionary(recordGroups: Seq[RecordGroup])

   recordGroups

     A seq of record groups to popualate the dictionary.

   Exceptions thrown
     AssertionError

     Throws an assertion error if there are multiple record groups with the same name.

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### def ++(that: RecordGroupDictionary): RecordGroupDictionary

5. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

6. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

7. #### def apply(recordGroupName: String): RecordGroup

   Returns the record group entry for an associated name.

   Returns the record group entry for an associated name.

   recordGroupName

     The record group to look up.

   returns

     Detailed info for a record group.

8. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### def getIndex(recordGroupName: String): Int

    Returns the numerical index for a given record group name.

    Returns the numerical index for a given record group name.

    recordGroupName

      The record group to find an index for.

    returns

      Returns a numerical index for a record group.

    Note

      This index is only guaranteed to have the same value for a given record group name when the index is pulled from the same record group dictionary.

14. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

15. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### final def notify(): Unit

    Definition Classes
      AnyRef

17. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

18. #### lazy val recordGroupMap: Map[String, (RecordGroup, Int)]

19. #### val recordGroups: Seq[RecordGroup]

    A seq of record groups to popualate the dictionary.

20. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

21. #### def toString(): String

    Definition Classes
      RecordGroupDictionary → AnyRef → Any

22. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped